rageek

A place for Unix Thoughts and Ideas

Veritas Installation/patching and Live Upgrade on Solaris 10 u9

Veritas Storage foundation 5.0MP3 installer and installmp and installrp scripts are broken for Solaris 10 update 9 09/10.

The CPI will fail will a message like:
Cannot install Veritas Storage Foundation for Oracle RAC on system testserver-01 as its SunOS version is 5.Solaris which is not supported with this release.
Veritas Storage Foundation for Oracle RAC 5.0 is supported on versions 5.8 5.9 5.10.

This can be gotten around by making the following change:

1. Find the script:
root@testserver-01 # ggrep -R “5.8 5.9 5.10” *
patches/README.125150-07:SunOS Release: 5.8 5.9 5.10
scripts/CPI/train/SunOS/UXRT.pm: $CPI::TRAIN{SUPPOSVERS}{SunOS}=[ qw(5.8 5.9 5.10) ];
2. Change the line in UXRT.pm from:
$CPI::TRAIN{SUPPOSVERS}{SunOS}=[ qw(5.8 5.9 5.10) ];
To:
$CPI::TRAIN{SUPPOSVERS}{SunOS}=[ qw(5.8 5.9 5.10 5.Solaris) ];

If you plan to use live upgrade to install Veritas, especially RAC, CFS or VCS, the installer does not properly complete the installation.

You know it you have a problem if you notice that the veritas packages like VRTSvcs are not patched to MP3 revisions.

root@test-01 # pkginfo -R /.alt.test -l VRTSvcs
PKGINST: VRTSvcs
NAME: Veritas Cluster Server by Symantec
CATEGORY: system
ARCH: sparc
VERSION: 5.0
BASEDIR: /
VENDOR: Symantec Corporation
DESC: Veritas Cluster Server by Symantec
PSTAMP: Veritas-5.0-01/11/07-17:01:00
INSTDATE: Dec 08 2010 14:53
STATUS: completely installed
FILES: 160 installed pathnames
22 shared pathnames
2 linked files
45 directories
83 executables
141345 blocks used (approx)

When it should be:

PKGINST: VRTSvcs
NAME: Veritas Cluster Server by Symantec
CATEGORY: system
ARCH: sparc
VERSION: 5.0
BASEDIR: /
VENDOR: Symantec Corporation
DESC: Veritas Cluster Server by Symantec
PSTAMP: Veritas-5.0MP3-08/29/08-16:43:00
INSTDATE: Dec 03 2010 11:38
STATUS: completely installed
FILES: 174 installed pathnames
26 shared pathnames
4 linked files
50 directories
88 executables
148874 blocks used (approx)

The solution is to install them to the current active boot environment. The problem does not seem to show up with MP3RP4 installer, if your system has already been patched to mp3.

Alternatively, you can install the packages and patches using the Jumpstart method outlined in the docs. The only odd thing I noticed with this is that the /opt/VRTS/install directory is not populated with the normal install/uninstall scripts and you’ll have to use the one supplied on the installation media.

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: